return {
  {
    "AstroNvim/astrocore",
    ---@type AstroCoreOpts
    opts = {
      mappings = {
        n = {
          ["<Leader><space>"] = {
            function() require("snacks").picker.buffers() end,
            desc = "Find buffers",
          },
          ["<Leader>F"] = {
            function()
              require("snacks").picker.files {
                hidden = true,
                ignored = true,
              }
            end,
            desc = "Find buffers",
          },
          ["<Leader>ss"] = {
            function()
              local aerial_avail, aerial = pcall(require, "aerial")
              if aerial_avail and aerial.snacks_picker then
                aerial.snacks_picker()
              else
                require("snacks").picker.lsp_symbols()
              end
            end,
            desc = "Search symbols",
          },
          ["<Leader>fj"] = {
            "<cmd>%!jq .<CR>",
            desc = "Format Json",
          },
          ["<Leader>w"] = {
            "<cmd>:noautocmd w<CR>",
            desc = "Save Fileeee",
          },
          -- quick save
          -- ["<C-s>"] = { ":w!<cr>", desc = "Save File" },
          -- Git
          ["<Leader>vd"] = {
            "<cmd>DiffviewOpen<CR>",
            desc = "Diffview",
          },
          ["<Leader>vD"] = {
            "<cmd>DiffviewOpen HEAD^!<CR>",
            desc = "Diffview Last Commit",
          },
          ["<Leader>vl"] = {
            function()
              require("snacks").picker.git_log {
                confirm = function(picker, item)
                  picker:close()
                  vim.cmd("DiffviewOpen " .. item.commit .. "^!")
                end,
              }
            end,
            silent = true,
            desc = "Diff Commit",
          },
          ["<Leader>vh"] = {
            "<cmd>DiffviewFileHistory %<CR>",
            desc = "File History",
          },
          ["<Leader>vH"] = {
            "<cmd>DiffviewFileHistory<CR>",
            desc = "Repo History",
          },
          ["<Leader>vr"] = {
            "<cmd>DiffviewRefresh<CR>",
            desc = "Diffview Refresh",
          },
          ["<Leader>vc"] = {
            "<cmd>DiffviewClose<CR>",
            desc = "Diffview Close",
          },
        },
      },
    },
  },
}
